All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.deployment
Class MetadataSourceConfiguration

    com.sas.services.deployment.MetadataSourceConfiguration

All Implemented Interfaces:
  MetadataSourceConfigurationInterface, ServiceConfigurationInterface, java.io.Serializable

    public class MetadataSourceConfiguration

implements MetadataSourceConfigurationInterface

Metadata source configuration.

Since:
  1.0
See Also:
  `MetadataSourceInterface`, Serialized Form

Field Summary

Fields inherited from interface com.sas.services.ServiceConfigurationInterface
`CONFIGURATION_METADATA_SOURCE, CONFIGURATION_SERVICE_DISCOVERY`

Constructor Summary
`MetadataSourceConfiguration(MetadataSourceInterface metadataSource)` Constructs an instance using the specified metadata source.

Method Summary
`MetadataSourceInterface` | `getMetadataSource()` Gets the metadata source.
`void` | `setMetadataSource(MetadataSourceInterface metadataSource)` Sets the metadata source.

Methods inherited from class com.sas.services.ServiceConfiguration
`addServiceConfiguration, getEnvironment, getInitializationObject, getServiceConfiguration, getServiceConfigurations, removeServiceConfiguration, setEnvironment, setInitializationObject`

Constructor Detail

### MetadataSourceConfiguration

    public MetadataSourceConfiguration(MetadataSourceInterface metadataSource)
                                throws InitializationException

  Constructs an instance using the specified metadata source.

  Parameters:
    `metadataSource` - Metadata source.
  Throws:
    `InitializationException` - if an invalid metadata source is specified.

Method Detail

### getMetadataSource

    public final MetadataSourceInterface getMetadataSource()

  Gets the metadata source.

  Specified by:
    `getMetadataSource` in interface `MetadataSourceConfigurationInterface`
  Returns:
    Metadata source or `null` if a source is not defined.
  See Also:
    `MetadataSourceConfigurationInterface.getMetadataSource()`

### setMetadataSource

    public final void setMetadataSource(MetadataSourceInterface metadataSource)
                                 throws InitializationException

  Sets the metadata source.

  Parameters:
    `metadataSource` - Metadata source.
  Throws:
    `InitializationException` - if unable to set the source.

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.